# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::DistanceLODEvaluator Class Reference

A LODEvaluator that computes the appropriate LOD based on the distance of an Actor from the Camera. More...

`#include <DistanceLODEvaluator.hpp>`

Inheritance diagram for vl::DistanceLODEvaluator:

List of all members.

## Public Member Functions
| DistanceLODEvaluator ()
virtual const char * | className ()
| Returns the name of the class.
virtual int | evaluate (Actor *actor, Camera *camera)
const std::vector< double > & | distanceRangeSet ()
void | clearDistanceRangeSet ()
int | distanceRangeCount () const
double | distanceRange (int index) const
void | setDistanceRangeSet (const std::vector< double > &distance_set)
void | addDistanceRange (double distance)
void | setDistanceRange (int index, double distance)
## Protected Attributes
std::vector< double > | mDistanceRangeSet

## Detailed Description

A LODEvaluator that computes the appropriate LOD based on the distance of an Actor from the Camera.

See also:
  - LODEvaluator
  - PixelLODEvaluator

## Constructor & Destructor Documentation

vl::DistanceLODEvaluator::DistanceLODEvaluator | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::DistanceLODEvaluator::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::LODEvaluator.

virtual int vl::DistanceLODEvaluator::evaluate | ( | Actor * | actor,
|  | Camera * | camera |
| ) |  |  | `[inline, virtual]`

Implements vl::LODEvaluator.

const std::vector<double>& vl::DistanceLODEvaluator::distanceRangeSet | ( |  | ) | `[inline]`

void vl::DistanceLODEvaluator::clearDistanceRangeSet | ( |  | ) | `[inline]`

int vl::DistanceLODEvaluator::distanceRangeCount | ( |  | ) | const`[inline]`

double vl::DistanceLODEvaluator::distanceRange | ( | int | index | ) | const`[inline]`

void vl::DistanceLODEvaluator::setDistanceRangeSet | ( | const std::vector< double > & | distance_set | ) | `[inline]`

void vl::DistanceLODEvaluator::addDistanceRange | ( | double | distance | ) | `[inline]`

void vl::DistanceLODEvaluator::setDistanceRange | ( | int | index,
|  | double | distance |
| ) |  |  | `[inline]`

## Member Data Documentation

std::vector<double> vl::DistanceLODEvaluator::mDistanceRangeSet`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/DistanceLODEvaluator.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:57 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.